﻿CREATE TABLE [dbo].[employee] (
    [emp_id]    [dbo].[empid] NOT NULL,
    [fname]     VARCHAR (20)  NOT NULL,
    [minit]     CHAR (1)      NULL,
    [lname]     VARCHAR (30)  NOT NULL,
    [job_id]    SMALLINT      DEFAULT ((1)) NOT NULL,
    [job_lvl]   TINYINT       DEFAULT ((10)) NULL,
    [pub_id]    CHAR (4)      DEFAULT ('9952') NOT NULL,
    [hire_date] DATETIME      DEFAULT (getdate()) NOT NULL,
    FOREIGN KEY ([job_id]) REFERENCES [dbo].[jobs] ([job_id]) ON DELETE NO ACTION ON UPDATE NO ACTION,
    FOREIGN KEY ([pub_id]) REFERENCES [dbo].[publishers] ([pub_id]) ON DELETE NO ACTION ON UPDATE NO ACTION
);

