
USE pubs
GO

-- SQL syntax checked at execution time
SELECT * FROM jobs
SELEC * FROM authors
SELECT * FROM titles
GO

-- syntax checked at create time in stored procedure
CREATE PROC getauthors
AS
SELEC * FROM authors
GO

-- object names not checked
CREATE PROC getauthors
AS
SELECT * FROM authorsx
GO

EXECUTE getauthors
GO

DROP PROC getauthors
GO

-- invalid column names in existing tables are checked
CREATE PROC getauthors
AS
SELECT author_id, author_name FROM authors
GO

-- knows about ambiguous column names
CREATE PROC getauthors
AS
SELECT au_id, au_lname, title_id 
FROM authors
JOIN titleauthor
